+ Reply to Thread
Page 5 of 5 FirstFirst 1 2 3 4 5
Results 61 to 67 of 67
Like Tree24Likes

Thread: [Addon] Updated KBM

  1. #61
    Rift Disciple
    Join Date
    Jun 2014
    Posts
    124

    Default

    Quote Originally Posted by Aador View Post
    Had a hard drive crash so ive had to reload rift on a new hard drive. Reinstalled my add ons but cant seem to get KBM to work. Getting this error and then when i pull up KBMoptions, its empty

    Error: KBMReadyCheck/ReadyCheck.lua:2835: attempt to index field 'Rows' (a nil value)
    In KBMReadyCheck / Update HP, event Event.SafesUnitLib.Unit.Detail.Percent
    stack traceback:
    [C]: in function '__index'
    KBMReadyCheck/ReadyCheck.lua:2835: in function <KBMReadyCheck/ReadyCheck.lua:2834>
    [C]: in function 'Percent'
    SafesUnitLib/LibSUnit.lua:268: in function 'CalcPerc'
    SafesUnitLib/LibSUnit.lua:485: in function <SafesUnitLib/LibSUnit.lua:478>


    Any ideas?
    Sounds like a bad install, delete your install:
    RIFT\Interface\AddOns\KBM
    And under your saved variables
    RIFT\Interface\Saved\<youruserid>\SavedVariables\
    delete KBMReadyCheck.lua

    And reinstall *with rift closed* from a fresh install

    Let me know if that works. cheers.

  2. #62
    Soulwalker
    Join Date
    Aug 2011
    Posts
    7

    Default Issue with installing KBM on new hard drive

    Deleted everything as you said, did a fresh install. Now getting this error... Error: KBMReadyCheck/ReadyCheck.lua:2658: attempt to index field 'Rows' (a nil value)
    In KBMReadyCheck / Buff Add, event Event.SafesBuffLib.Buff.Add
    stack traceback:
    [C]: in function '__index'
    KBMReadyCheck/ReadyCheck.lua:2658: in function <KBMReadyCheck/ReadyCheck.lua:2656>
    [C]: ?
    SafesBuffLib/LibSBuff.lua:334: in function 'UpdateCycle'
    SafesBuffLib/LibSBuff.lua:515: in function <SafesBuffLib/LibSBuff.lua:515>


    When i ran a different account on my pc, the account ran KBM fine. It seems to be a issue with this account specifically maybe? I havent tried running the second account after the fresh install but the second account ran the original install fine.

  3. #63
    Soulwalker
    Join Date
    Aug 2011
    Posts
    7

    Default

    Bumping this as i still can not get it to work if anyone has a fix/work around by chance?

  4. #64
    Rift Chaser
    Join Date
    Jul 2014
    Posts
    389

    Default

    Quote Originally Posted by Aador View Post
    Bumping this as i still can not get it to work if anyone has a fix/work around by chance?
    Could try using Revo uninstaller to try and remove everything associated with kbm. Then try a new install.
    In the wise words of my professor.. Did you read?

  5. #65
    Rift Disciple
    Join Date
    Jun 2014
    Posts
    124

    Default

    Quote Originally Posted by Aador View Post
    Bumping this as i still can not get it to work if anyone has a fix/work around by chance?
    Then I suggest you go all out and delete all the KBM*multiplefilenames*.lua and KingMolinator.lua in your Documents\RIFT\Interface\Saved\broken@account.com\ SavedVariables and then if that doesnt work do the same for your character folders

  6. #66
    Soulwalker
    Join Date
    Mar 2017
    Posts
    5

    Default Having a similar issue

    Last night before I signed off Rift, I turned on KBM Report (it was already installed) and today when I logged I received the following error:

    Error: KBMReport/KBMReport.lua:133: attempt to index global 'KBM' (a nil value)
    In KingMolinator / KBM_Main_Load_End, event Event.Addon.SavedVariables.Load.End
    stack traceback:
    [C]: in function '__index'
    KBMReport/KBMReport.lua:133: in function 'LoadVars'
    KingMolinator/KingMolinator.lua:822: in function <KingMolinator/KingMolinator.lua:788>

    I have since learned that I may be using an older version of KBM Report which causes the error to show as a "King Boss Mods 2.0.0.4" error. After KBM loads and gives an error in the chat window there is another KBM statment that says "Plug-In KBMReport is incompatible. Please check for a newer version." Turning off KBM Report and reloading UI removes the error and the plug-in incompatible line for me.

    Versions I'm using:
    KBM 2.0.0.4
    KBM Report 0.0.1.3
    KBM MarkIt 0.2.0.43
    KBM AddWatch 0.2.9.74

    Searching for "ADDON KBM RIFT" (or similar) on from a Search Engine just returns the telephone book of all KBM versions.

    Can someone please post links to the most current versions?

    If you don't know the links but have versions that work with KBM 2.0.0.4 please post your version numbers.

    Thanks

    Note: This conflict seems to be causing issues with another addon I use named "Imhothar's Bags" vers 0.38beta. Removing the incompatible version of KBM Report causes Imhothar's Bags to work fine!
    Last edited by NemesisLucan; 06-05-2019 at 08:34 PM. Reason: Added a note saying that another addon may be related by this addon.

  7. #67
    Rift Disciple
    Join Date
    Jun 2014
    Posts
    124

    Default

    https://www.curseforge.com/rift/addo...-boss-mods-2-0 is all that you need, uninstall any old versions then install a fresh copy either using the download button or the Install Via Twitch (curse)

    For a complete uninstall for corrupt installations
    Delete the addon itself:
    RIFT\Interface\AddOns\KBM
    And your KBM settings:
    RIFT\Interface\Saved\<youruserid>\SavedVariables\K BM<multiple files>.lua
    Last edited by Yarrellii; 07-15-2019 at 05:32 PM.

+ Reply to Thread
Page 5 of 5 FirstFirst 1 2 3 4 5

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts